eCos Reference Manual
Prev |  | Next

# reset

## Name

reset -- Reset the device

## Synopsis

reset

## Arguments

None

## Description

The reset command causes the target platform to be reset. Where possible (hardware support permitting), this will be equivalent to a power-on reset condition.

## Examples

Reset the platform.

    RedBoot> reset
    ... Resetting.+... Waiting for network card: .
    Socket Communications, Inc: Low Power Ethernet CF Revision C 5V/3.3V 08/27/98
    Ethernet eth0: MAC address 00:c0:1b:00:ba:28
    IP: 192.168.1.29, Default server: 192.168.1.101

    RedBoot(tm) bootstrap and debug environment [ROM]
    Non-certified release, version UNKNOWN - built 10:41:41, May 14 2002

    Platform: Compaq iPAQ Pocket PC (StrongARM 1110)
    Copyright (C) 2000, 2001, 2002, Red Hat, Inc.

    RAM: 0x00000000-0x01fc0000, 0x00014748-0x01f71000 available
    FLASH: 0x50000000 - 0x51000000, 64 blocks of 0x00040000 bytes each.
    RedBoot>

Prev | Home | Next
ping | Up | version